com.google.appengine.api.conversion

## Interface ConversionService

- Deprecated.
  This API will be decommissioned in November 2012 and all calls to it will return an error.

      @Deprecated
      public interface ConversionService

  A service which provides document conversion feature for applications.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `CONVERSION_MAX_NUM_PER_REQUEST` Deprecated. Maximum number of conversions allowed in one request.
    `static int` | `CONVERSION_MAX_SIZE_BYTES` Deprecated. Maximum bytes size of one conversion to be converted.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ConversionResult` | `convert(Conversion conversion)` Deprecated. Runs a conversion.
    `java.util.List<ConversionResult>` | `convert(java.util.List<Conversion> conversions)` Deprecated. Executes multiple conversions in one request to the conversion backend.
    `java.util.concurrent.Future<ConversionResult>` | `convertAsync(Conversion conversion)` Deprecated. Runs a conversion asynchronously.
    `java.util.concurrent.Future<java.util.List<ConversionResult>>` | `convertAsync(java.util.List<Conversion> conversions)` Deprecated. Executes multiple conversions in one request to the conversion backend asynchronously.

- - ### Field Detail

    - #### CONVERSION_MAX_SIZE_BYTES

          static final int CONVERSION_MAX_SIZE_BYTES

      Deprecated.
      Maximum bytes size of one conversion to be converted.
      See Also:
        Constant Field Values

    - #### CONVERSION_MAX_NUM_PER_REQUEST

          static final int CONVERSION_MAX_NUM_PER_REQUEST

      Deprecated.
      Maximum number of conversions allowed in one request.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### convert

          ConversionResult convert(Conversion conversion)

      Deprecated.
      Runs a conversion.
      Parameters:
        `conversion` - the Conversion instance to run
      Returns:
        the ConversionResult instance
      Throws:
        `ConversionServiceException` - if the conversion fails with the reason specified in `ConversionErrorCode`
        `java.lang.IllegalArgumentException` - if the input conversion is invalid

    - #### convert

          java.util.List<ConversionResult> convert(java.util.List<Conversion> conversions)

      Deprecated.
      Executes multiple conversions in one request to the conversion backend.
      Parameters:
        `conversions` - a collection of Conversion instances to run
      Returns:
        a collection of ConversionResult instances, one per Conversion in the same order
      Throws:
        `ConversionServiceException` - if the conversion fails with the reason specified in `ConversionErrorCode`
        `java.lang.IllegalArgumentException` - if the input conversions are invalid

    - #### convertAsync

          java.util.concurrent.Future<ConversionResult> convertAsync(Conversion conversion)

      Deprecated.
      Runs a conversion asynchronously.
      Parameters:
        `conversion` - the Conversion instance to run
      Returns:
        a future containing the ConversionResult instance; `Future.get()` may throw `ConversionServiceException` if the conversion fails with the reason specified in `ConversionErrorCode`
      Throws:
        `java.lang.IllegalArgumentException` - if the input conversion is invalid

    - #### convertAsync

          java.util.concurrent.Future<java.util.List<ConversionResult>> convertAsync(java.util.List<Conversion> conversions)

      Deprecated.
      Executes multiple conversions in one request to the conversion backend asynchronously.
      Parameters:
        `conversions` - a collection of Conversion instances to run
      Returns:
        a future containing a collection of ConversionResult instances, one per Conversion in the same order; `Future.get()` may throw `ConversionServiceException` if the conversion fails with the reason specified in `ConversionErrorCode`
      Throws:
        `java.lang.IllegalArgumentException` - if the input conversions are invalid